Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
ff09:d000::/20
First address
ff09:d000::
Last address
ff09:dfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
ff09:d000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
d.9.0.f.f.ip6.arpa
Split into smaller subnets/32

ff09:d000::/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1ff09:d000::/32ff09:d000:ffff:ffff:ffff:ffff:ffff:ffff
2ff09:d001::/32ff09:d001:ffff:ffff:ffff:ffff:ffff:ffff
3ff09:d002::/32ff09:d002:ffff:ffff:ffff:ffff:ffff:ffff
4ff09:d003::/32ff09:d003:ffff:ffff:ffff:ffff:ffff:ffff
5ff09:d004::/32ff09:d004:ffff:ffff:ffff:ffff:ffff:ffff
6ff09:d005::/32ff09:d005:ffff:ffff:ffff:ffff:ffff:ffff
7ff09:d006::/32ff09:d006:ffff:ffff:ffff:ffff:ffff:ffff
8ff09:d007::/32ff09:d007:ffff:ffff:ffff:ffff:ffff:ffff
9ff09:d008::/32ff09:d008:ffff:ffff:ffff:ffff:ffff:ffff
10ff09:d009::/32ff09:d009:ffff:ffff:ffff:ffff:ffff:ffff
11ff09:d00a::/32ff09:d00a:ffff:ffff:ffff:ffff:ffff:ffff
12ff09:d00b::/32ff09:d00b:ffff:ffff:ffff:ffff:ffff:ffff
13ff09:d00c::/32ff09:d00c:ffff:ffff:ffff:ffff:ffff:ffff
14ff09:d00d::/32ff09:d00d:ffff:ffff:ffff:ffff:ffff:ffff
15ff09:d00e::/32ff09:d00e:ffff:ffff:ffff:ffff:ffff:ffff
16ff09:d00f::/32ff09:d00f:ffff:ffff:ffff:ffff:ffff:ffff
17ff09:d010::/32ff09:d010:ffff:ffff:ffff:ffff:ffff:ffff
18ff09:d011::/32ff09:d011:ffff:ffff:ffff:ffff:ffff:ffff
19ff09:d012::/32ff09:d012:ffff:ffff:ffff:ffff:ffff:ffff
20ff09:d013::/32ff09:d013:ffff:ffff:ffff:ffff:ffff:ffff
21ff09:d014::/32ff09:d014:ffff:ffff:ffff:ffff:ffff:ffff
22ff09:d015::/32ff09:d015:ffff:ffff:ffff:ffff:ffff:ffff
23ff09:d016::/32ff09:d016:ffff:ffff:ffff:ffff:ffff:ffff
24ff09:d017::/32ff09:d017:ffff:ffff:ffff:ffff:ffff:ffff
25ff09:d018::/32ff09:d018:ffff:ffff:ffff:ffff:ffff:ffff
26ff09:d019::/32ff09:d019:ffff:ffff:ffff:ffff:ffff:ffff
27ff09:d01a::/32ff09:d01a:ffff:ffff:ffff:ffff:ffff:ffff
28ff09:d01b::/32ff09:d01b:ffff:ffff:ffff:ffff:ffff:ffff
29ff09:d01c::/32ff09:d01c:ffff:ffff:ffff:ffff:ffff:ffff
30ff09:d01d::/32ff09:d01d:ffff:ffff:ffff:ffff:ffff:ffff
31ff09:d01e::/32ff09:d01e:ffff:ffff:ffff:ffff:ffff:ffff
32ff09:d01f::/32ff09:d01f:ffff:ffff:ffff:ffff:ffff:ffff
33ff09:d020::/32ff09:d020:ffff:ffff:ffff:ffff:ffff:ffff
34ff09:d021::/32ff09:d021:ffff:ffff:ffff:ffff:ffff:ffff
35ff09:d022::/32ff09:d022:ffff:ffff:ffff:ffff:ffff:ffff
36ff09:d023::/32ff09:d023:ffff:ffff:ffff:ffff:ffff:ffff
37ff09:d024::/32ff09:d024:ffff:ffff:ffff:ffff:ffff:ffff
38ff09:d025::/32ff09:d025:ffff:ffff:ffff:ffff:ffff:ffff
39ff09:d026::/32ff09:d026:ffff:ffff:ffff:ffff:ffff:ffff
40ff09:d027::/32ff09:d027:ffff:ffff:ffff:ffff:ffff:ffff
41ff09:d028::/32ff09:d028:ffff:ffff:ffff:ffff:ffff:ffff
42ff09:d029::/32ff09:d029:ffff:ffff:ffff:ffff:ffff:ffff
43ff09:d02a::/32ff09:d02a:ffff:ffff:ffff:ffff:ffff:ffff
44ff09:d02b::/32ff09:d02b:ffff:ffff:ffff:ffff:ffff:ffff
45ff09:d02c::/32ff09:d02c:ffff:ffff:ffff:ffff:ffff:ffff
46ff09:d02d::/32ff09:d02d:ffff:ffff:ffff:ffff:ffff:ffff
47ff09:d02e::/32ff09:d02e:ffff:ffff:ffff:ffff:ffff:ffff
48ff09:d02f::/32ff09:d02f:ffff:ffff:ffff:ffff:ffff:ffff
49ff09:d030::/32ff09:d030:ffff:ffff:ffff:ffff:ffff:ffff
50ff09:d031::/32ff09:d031:ffff:ffff:ffff:ffff:ffff:ffff
51ff09:d032::/32ff09:d032:ffff:ffff:ffff:ffff:ffff:ffff
52ff09:d033::/32ff09:d033:ffff:ffff:ffff:ffff:ffff:ffff
53ff09:d034::/32ff09:d034:ffff:ffff:ffff:ffff:ffff:ffff
54ff09:d035::/32ff09:d035:ffff:ffff:ffff:ffff:ffff:ffff
55ff09:d036::/32ff09:d036:ffff:ffff:ffff:ffff:ffff:ffff
56ff09:d037::/32ff09:d037:ffff:ffff:ffff:ffff:ffff:ffff
57ff09:d038::/32ff09:d038:ffff:ffff:ffff:ffff:ffff:ffff
58ff09:d039::/32ff09:d039:ffff:ffff:ffff:ffff:ffff:ffff
59ff09:d03a::/32ff09:d03a:ffff:ffff:ffff:ffff:ffff:ffff
60ff09:d03b::/32ff09:d03b:ffff:ffff:ffff:ffff:ffff:ffff
61ff09:d03c::/32ff09:d03c:ffff:ffff:ffff:ffff:ffff:ffff
62ff09:d03d::/32ff09:d03d:ffff:ffff:ffff:ffff:ffff:ffff
63ff09:d03e::/32ff09:d03e:ffff:ffff:ffff:ffff:ffff:ffff
64ff09:d03f::/32ff09:d03f:ffff:ffff:ffff:ffff:ffff:ffff
65ff09:d040::/32ff09:d040:ffff:ffff:ffff:ffff:ffff:ffff
66ff09:d041::/32ff09:d041:ffff:ffff:ffff:ffff:ffff:ffff
67ff09:d042::/32ff09:d042:ffff:ffff:ffff:ffff:ffff:ffff
68ff09:d043::/32ff09:d043:ffff:ffff:ffff:ffff:ffff:ffff
69ff09:d044::/32ff09:d044:ffff:ffff:ffff:ffff:ffff:ffff
70ff09:d045::/32ff09:d045:ffff:ffff:ffff:ffff:ffff:ffff
71ff09:d046::/32ff09:d046:ffff:ffff:ffff:ffff:ffff:ffff
72ff09:d047::/32ff09:d047:ffff:ffff:ffff:ffff:ffff:ffff
73ff09:d048::/32ff09:d048:ffff:ffff:ffff:ffff:ffff:ffff
74ff09:d049::/32ff09:d049:ffff:ffff:ffff:ffff:ffff:ffff
75ff09:d04a::/32ff09:d04a:ffff:ffff:ffff:ffff:ffff:ffff
76ff09:d04b::/32ff09:d04b:ffff:ffff:ffff:ffff:ffff:ffff
77ff09:d04c::/32ff09:d04c:ffff:ffff:ffff:ffff:ffff:ffff
78ff09:d04d::/32ff09:d04d:ffff:ffff:ffff:ffff:ffff:ffff
79ff09:d04e::/32ff09:d04e:ffff:ffff:ffff:ffff:ffff:ffff
80ff09:d04f::/32ff09:d04f:ffff:ffff:ffff:ffff:ffff:ffff
81ff09:d050::/32ff09:d050:ffff:ffff:ffff:ffff:ffff:ffff
82ff09:d051::/32ff09:d051:ffff:ffff:ffff:ffff:ffff:ffff
83ff09:d052::/32ff09:d052:ffff:ffff:ffff:ffff:ffff:ffff
84ff09:d053::/32ff09:d053:ffff:ffff:ffff:ffff:ffff:ffff
85ff09:d054::/32ff09:d054:ffff:ffff:ffff:ffff:ffff:ffff
86ff09:d055::/32ff09:d055:ffff:ffff:ffff:ffff:ffff:ffff
87ff09:d056::/32ff09:d056:ffff:ffff:ffff:ffff:ffff:ffff
88ff09:d057::/32ff09:d057:ffff:ffff:ffff:ffff:ffff:ffff
89ff09:d058::/32ff09:d058:ffff:ffff:ffff:ffff:ffff:ffff
90ff09:d059::/32ff09:d059:ffff:ffff:ffff:ffff:ffff:ffff
91ff09:d05a::/32ff09:d05a:ffff:ffff:ffff:ffff:ffff:ffff
92ff09:d05b::/32ff09:d05b:ffff:ffff:ffff:ffff:ffff:ffff
93ff09:d05c::/32ff09:d05c:ffff:ffff:ffff:ffff:ffff:ffff
94ff09:d05d::/32ff09:d05d:ffff:ffff:ffff:ffff:ffff:ffff
95ff09:d05e::/32ff09:d05e:ffff:ffff:ffff:ffff:ffff:ffff
96ff09:d05f::/32ff09:d05f:ffff:ffff:ffff:ffff:ffff:ffff
97ff09:d060::/32ff09:d060:ffff:ffff:ffff:ffff:ffff:ffff
98ff09:d061::/32ff09:d061:ffff:ffff:ffff:ffff:ffff:ffff
99ff09:d062::/32ff09:d062:ffff:ffff:ffff:ffff:ffff:ffff
100ff09:d063::/32ff09:d063:ffff:ffff:ffff:ffff:ffff:ffff
101ff09:d064::/32ff09:d064:ffff:ffff:ffff:ffff:ffff:ffff
102ff09:d065::/32ff09:d065:ffff:ffff:ffff:ffff:ffff:ffff
103ff09:d066::/32ff09:d066:ffff:ffff:ffff:ffff:ffff:ffff
104ff09:d067::/32ff09:d067:ffff:ffff:ffff:ffff:ffff:ffff
105ff09:d068::/32ff09:d068:ffff:ffff:ffff:ffff:ffff:ffff
106ff09:d069::/32ff09:d069:ffff:ffff:ffff:ffff:ffff:ffff
107ff09:d06a::/32ff09:d06a:ffff:ffff:ffff:ffff:ffff:ffff
108ff09:d06b::/32ff09:d06b:ffff:ffff:ffff:ffff:ffff:ffff
109ff09:d06c::/32ff09:d06c:ffff:ffff:ffff:ffff:ffff:ffff
110ff09:d06d::/32ff09:d06d:ffff:ffff:ffff:ffff:ffff:ffff
111ff09:d06e::/32ff09:d06e:ffff:ffff:ffff:ffff:ffff:ffff
112ff09:d06f::/32ff09:d06f:ffff:ffff:ffff:ffff:ffff:ffff
113ff09:d070::/32ff09:d070:ffff:ffff:ffff:ffff:ffff:ffff
114ff09:d071::/32ff09:d071:ffff:ffff:ffff:ffff:ffff:ffff
115ff09:d072::/32ff09:d072:ffff:ffff:ffff:ffff:ffff:ffff
116ff09:d073::/32ff09:d073:ffff:ffff:ffff:ffff:ffff:ffff
117ff09:d074::/32ff09:d074:ffff:ffff:ffff:ffff:ffff:ffff
118ff09:d075::/32ff09:d075:ffff:ffff:ffff:ffff:ffff:ffff
119ff09:d076::/32ff09:d076:ffff:ffff:ffff:ffff:ffff:ffff
120ff09:d077::/32ff09:d077:ffff:ffff:ffff:ffff:ffff:ffff
121ff09:d078::/32ff09:d078:ffff:ffff:ffff:ffff:ffff:ffff
122ff09:d079::/32ff09:d079:ffff:ffff:ffff:ffff:ffff:ffff
123ff09:d07a::/32ff09:d07a:ffff:ffff:ffff:ffff:ffff:ffff
124ff09:d07b::/32ff09:d07b:ffff:ffff:ffff:ffff:ffff:ffff
125ff09:d07c::/32ff09:d07c:ffff:ffff:ffff:ffff:ffff:ffff
126ff09:d07d::/32ff09:d07d:ffff:ffff:ffff:ffff:ffff:ffff
127ff09:d07e::/32ff09:d07e:ffff:ffff:ffff:ffff:ffff:ffff
128ff09:d07f::/32ff09:d07f:ffff:ffff:ffff:ffff:ffff:ffff
129ff09:d080::/32ff09:d080:ffff:ffff:ffff:ffff:ffff:ffff
130ff09:d081::/32ff09:d081:ffff:ffff:ffff:ffff:ffff:ffff
131ff09:d082::/32ff09:d082:ffff:ffff:ffff:ffff:ffff:ffff
132ff09:d083::/32ff09:d083:ffff:ffff:ffff:ffff:ffff:ffff
133ff09:d084::/32ff09:d084:ffff:ffff:ffff:ffff:ffff:ffff
134ff09:d085::/32ff09:d085:ffff:ffff:ffff:ffff:ffff:ffff
135ff09:d086::/32ff09:d086:ffff:ffff:ffff:ffff:ffff:ffff
136ff09:d087::/32ff09:d087:ffff:ffff:ffff:ffff:ffff:ffff
137ff09:d088::/32ff09:d088:ffff:ffff:ffff:ffff:ffff:ffff
138ff09:d089::/32ff09:d089:ffff:ffff:ffff:ffff:ffff:ffff
139ff09:d08a::/32ff09:d08a:ffff:ffff:ffff:ffff:ffff:ffff
140ff09:d08b::/32ff09:d08b:ffff:ffff:ffff:ffff:ffff:ffff
141ff09:d08c::/32ff09:d08c:ffff:ffff:ffff:ffff:ffff:ffff
142ff09:d08d::/32ff09:d08d:ffff:ffff:ffff:ffff:ffff:ffff
143ff09:d08e::/32ff09:d08e:ffff:ffff:ffff:ffff:ffff:ffff
144ff09:d08f::/32ff09:d08f:ffff:ffff:ffff:ffff:ffff:ffff
145ff09:d090::/32ff09:d090:ffff:ffff:ffff:ffff:ffff:ffff
146ff09:d091::/32ff09:d091:ffff:ffff:ffff:ffff:ffff:ffff
147ff09:d092::/32ff09:d092:ffff:ffff:ffff:ffff:ffff:ffff
148ff09:d093::/32ff09:d093:ffff:ffff:ffff:ffff:ffff:ffff
149ff09:d094::/32ff09:d094:ffff:ffff:ffff:ffff:ffff:ffff
150ff09:d095::/32ff09:d095:ffff:ffff:ffff:ffff:ffff:ffff
151ff09:d096::/32ff09:d096:ffff:ffff:ffff:ffff:ffff:ffff
152ff09:d097::/32ff09:d097:ffff:ffff:ffff:ffff:ffff:ffff
153ff09:d098::/32ff09:d098:ffff:ffff:ffff:ffff:ffff:ffff
154ff09:d099::/32ff09:d099:ffff:ffff:ffff:ffff:ffff:ffff
155ff09:d09a::/32ff09:d09a:ffff:ffff:ffff:ffff:ffff:ffff
156ff09:d09b::/32ff09:d09b:ffff:ffff:ffff:ffff:ffff:ffff
157ff09:d09c::/32ff09:d09c:ffff:ffff:ffff:ffff:ffff:ffff
158ff09:d09d::/32ff09:d09d:ffff:ffff:ffff:ffff:ffff:ffff
159ff09:d09e::/32ff09:d09e:ffff:ffff:ffff:ffff:ffff:ffff
160ff09:d09f::/32ff09:d09f:ffff:ffff:ffff:ffff:ffff:ffff
161ff09:d0a0::/32ff09:d0a0:ffff:ffff:ffff:ffff:ffff:ffff
162ff09:d0a1::/32ff09:d0a1:ffff:ffff:ffff:ffff:ffff:ffff
163ff09:d0a2::/32ff09:d0a2:ffff:ffff:ffff:ffff:ffff:ffff
164ff09:d0a3::/32ff09:d0a3:ffff:ffff:ffff:ffff:ffff:ffff
165ff09:d0a4::/32ff09:d0a4:ffff:ffff:ffff:ffff:ffff:ffff
166ff09:d0a5::/32ff09:d0a5:ffff:ffff:ffff:ffff:ffff:ffff
167ff09:d0a6::/32ff09:d0a6:ffff:ffff:ffff:ffff:ffff:ffff
168ff09:d0a7::/32ff09:d0a7:ffff:ffff:ffff:ffff:ffff:ffff
169ff09:d0a8::/32ff09:d0a8:ffff:ffff:ffff:ffff:ffff:ffff
170ff09:d0a9::/32ff09:d0a9:ffff:ffff:ffff:ffff:ffff:ffff
171ff09:d0aa::/32ff09:d0aa:ffff:ffff:ffff:ffff:ffff:ffff
172ff09:d0ab::/32ff09:d0ab:ffff:ffff:ffff:ffff:ffff:ffff
173ff09:d0ac::/32ff09:d0ac:ffff:ffff:ffff:ffff:ffff:ffff
174ff09:d0ad::/32ff09:d0ad:ffff:ffff:ffff:ffff:ffff:ffff
175ff09:d0ae::/32ff09:d0ae:ffff:ffff:ffff:ffff:ffff:ffff
176ff09:d0af::/32ff09:d0af:ffff:ffff:ffff:ffff:ffff:ffff
177ff09:d0b0::/32ff09:d0b0:ffff:ffff:ffff:ffff:ffff:ffff
178ff09:d0b1::/32ff09:d0b1:ffff:ffff:ffff:ffff:ffff:ffff
179ff09:d0b2::/32ff09:d0b2:ffff:ffff:ffff:ffff:ffff:ffff
180ff09:d0b3::/32ff09:d0b3:ffff:ffff:ffff:ffff:ffff:ffff
181ff09:d0b4::/32ff09:d0b4:ffff:ffff:ffff:ffff:ffff:ffff
182ff09:d0b5::/32ff09:d0b5:ffff:ffff:ffff:ffff:ffff:ffff
183ff09:d0b6::/32ff09:d0b6:ffff:ffff:ffff:ffff:ffff:ffff
184ff09:d0b7::/32ff09:d0b7:ffff:ffff:ffff:ffff:ffff:ffff
185ff09:d0b8::/32ff09:d0b8:ffff:ffff:ffff:ffff:ffff:ffff
186ff09:d0b9::/32ff09:d0b9:ffff:ffff:ffff:ffff:ffff:ffff
187ff09:d0ba::/32ff09:d0ba:ffff:ffff:ffff:ffff:ffff:ffff
188ff09:d0bb::/32ff09:d0bb:ffff:ffff:ffff:ffff:ffff:ffff
189ff09:d0bc::/32ff09:d0bc:ffff:ffff:ffff:ffff:ffff:ffff
190ff09:d0bd::/32ff09:d0bd:ffff:ffff:ffff:ffff:ffff:ffff
191ff09:d0be::/32ff09:d0be:ffff:ffff:ffff:ffff:ffff:ffff
192ff09:d0bf::/32ff09:d0bf:ffff:ffff:ffff:ffff:ffff:ffff
193ff09:d0c0::/32ff09:d0c0:ffff:ffff:ffff:ffff:ffff:ffff
194ff09:d0c1::/32ff09:d0c1:ffff:ffff:ffff:ffff:ffff:ffff
195ff09:d0c2::/32ff09:d0c2:ffff:ffff:ffff:ffff:ffff:ffff
196ff09:d0c3::/32ff09:d0c3:ffff:ffff:ffff:ffff:ffff:ffff
197ff09:d0c4::/32ff09:d0c4:ffff:ffff:ffff:ffff:ffff:ffff
198ff09:d0c5::/32ff09:d0c5:ffff:ffff:ffff:ffff:ffff:ffff
199ff09:d0c6::/32ff09:d0c6:ffff:ffff:ffff:ffff:ffff:ffff
200ff09:d0c7::/32ff09:d0c7:ffff:ffff:ffff:ffff:ffff:ffff
201ff09:d0c8::/32ff09:d0c8:ffff:ffff:ffff:ffff:ffff:ffff
202ff09:d0c9::/32ff09:d0c9:ffff:ffff:ffff:ffff:ffff:ffff
203ff09:d0ca::/32ff09:d0ca:ffff:ffff:ffff:ffff:ffff:ffff
204ff09:d0cb::/32ff09:d0cb:ffff:ffff:ffff:ffff:ffff:ffff
205ff09:d0cc::/32ff09:d0cc:ffff:ffff:ffff:ffff:ffff:ffff
206ff09:d0cd::/32ff09:d0cd:ffff:ffff:ffff:ffff:ffff:ffff
207ff09:d0ce::/32ff09:d0ce:ffff:ffff:ffff:ffff:ffff:ffff
208ff09:d0cf::/32ff09:d0cf:ffff:ffff:ffff:ffff:ffff:ffff
209ff09:d0d0::/32ff09:d0d0:ffff:ffff:ffff:ffff:ffff:ffff
210ff09:d0d1::/32ff09:d0d1:ffff:ffff:ffff:ffff:ffff:ffff
211ff09:d0d2::/32ff09:d0d2:ffff:ffff:ffff:ffff:ffff:ffff
212ff09:d0d3::/32ff09:d0d3:ffff:ffff:ffff:ffff:ffff:ffff
213ff09:d0d4::/32ff09:d0d4:ffff:ffff:ffff:ffff:ffff:ffff
214ff09:d0d5::/32ff09:d0d5:ffff:ffff:ffff:ffff:ffff:ffff
215ff09:d0d6::/32ff09:d0d6:ffff:ffff:ffff:ffff:ffff:ffff
216ff09:d0d7::/32ff09:d0d7:ffff:ffff:ffff:ffff:ffff:ffff
217ff09:d0d8::/32ff09:d0d8:ffff:ffff:ffff:ffff:ffff:ffff
218ff09:d0d9::/32ff09:d0d9:ffff:ffff:ffff:ffff:ffff:ffff
219ff09:d0da::/32ff09:d0da:ffff:ffff:ffff:ffff:ffff:ffff
220ff09:d0db::/32ff09:d0db:ffff:ffff:ffff:ffff:ffff:ffff
221ff09:d0dc::/32ff09:d0dc:ffff:ffff:ffff:ffff:ffff:ffff
222ff09:d0dd::/32ff09:d0dd:ffff:ffff:ffff:ffff:ffff:ffff
223ff09:d0de::/32ff09:d0de:ffff:ffff:ffff:ffff:ffff:ffff
224ff09:d0df::/32ff09:d0df:ffff:ffff:ffff:ffff:ffff:ffff
225ff09:d0e0::/32ff09:d0e0:ffff:ffff:ffff:ffff:ffff:ffff
226ff09:d0e1::/32ff09:d0e1:ffff:ffff:ffff:ffff:ffff:ffff
227ff09:d0e2::/32ff09:d0e2:ffff:ffff:ffff:ffff:ffff:ffff
228ff09:d0e3::/32ff09:d0e3:ffff:ffff:ffff:ffff:ffff:ffff
229ff09:d0e4::/32ff09:d0e4:ffff:ffff:ffff:ffff:ffff:ffff
230ff09:d0e5::/32ff09:d0e5:ffff:ffff:ffff:ffff:ffff:ffff
231ff09:d0e6::/32ff09:d0e6:ffff:ffff:ffff:ffff:ffff:ffff
232ff09:d0e7::/32ff09:d0e7:ffff:ffff:ffff:ffff:ffff:ffff
233ff09:d0e8::/32ff09:d0e8:ffff:ffff:ffff:ffff:ffff:ffff
234ff09:d0e9::/32ff09:d0e9:ffff:ffff:ffff:ffff:ffff:ffff
235ff09:d0ea::/32ff09:d0ea:ffff:ffff:ffff:ffff:ffff:ffff
236ff09:d0eb::/32ff09:d0eb:ffff:ffff:ffff:ffff:ffff:ffff
237ff09:d0ec::/32ff09:d0ec:ffff:ffff:ffff:ffff:ffff:ffff
238ff09:d0ed::/32ff09:d0ed:ffff:ffff:ffff:ffff:ffff:ffff
239ff09:d0ee::/32ff09:d0ee:ffff:ffff:ffff:ffff:ffff:ffff
240ff09:d0ef::/32ff09:d0ef:ffff:ffff:ffff:ffff:ffff:ffff
241ff09:d0f0::/32ff09:d0f0:ffff:ffff:ffff:ffff:ffff:ffff
242ff09:d0f1::/32ff09:d0f1:ffff:ffff:ffff:ffff:ffff:ffff
243ff09:d0f2::/32ff09:d0f2:ffff:ffff:ffff:ffff:ffff:ffff
244ff09:d0f3::/32ff09:d0f3:ffff:ffff:ffff:ffff:ffff:ffff
245ff09:d0f4::/32ff09:d0f4:ffff:ffff:ffff:ffff:ffff:ffff
246ff09:d0f5::/32ff09:d0f5:ffff:ffff:ffff:ffff:ffff:ffff
247ff09:d0f6::/32ff09:d0f6:ffff:ffff:ffff:ffff:ffff:ffff
248ff09:d0f7::/32ff09:d0f7:ffff:ffff:ffff:ffff:ffff:ffff
249ff09:d0f8::/32ff09:d0f8:ffff:ffff:ffff:ffff:ffff:ffff
250ff09:d0f9::/32ff09:d0f9:ffff:ffff:ffff:ffff:ffff:ffff
251ff09:d0fa::/32ff09:d0fa:ffff:ffff:ffff:ffff:ffff:ffff
252ff09:d0fb::/32ff09:d0fb:ffff:ffff:ffff:ffff:ffff:ffff
253ff09:d0fc::/32ff09:d0fc:ffff:ffff:ffff:ffff:ffff:ffff
254ff09:d0fd::/32ff09:d0fd:ffff:ffff:ffff:ffff:ffff:ffff
255ff09:d0fe::/32ff09:d0fe:ffff:ffff:ffff:ffff:ffff:ffff
256ff09:d0ff::/32ff09:d0ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses